<?xml version="1.0"?>
<!-- This file is protected by Copyright. Please refer to the COPYRIGHT file
     distributed with this source distribution.

     This file is part of OpenCPI <http://www.opencpi.org>

     OpenCPI is free software: you can redistribute it and/or modify it under
     the terms of the GNU Lesser General Public License as published by the Free
     Software Foundation, either version 3 of the License, or (at your option)
     any later version.

     OpenCPI is distributed in the hope that it will be useful, but WITHOUT ANY
     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for
     more details.

     You should have received a copy of the GNU Lesser General Public License
     along with this program. If not, see <http://www.gnu.org/licenses/>. -->
<componentspec>
  <property name="step_size" type="ulong" writable="true" default="2147483547"
    description="Step size of the throttle phase accumulator.`"/>
  <property name="enable" type="bool" writable="true" default="true"
    description="Enables or disables the throttle. If enable is false data will pass through unrestricted. If enable is true data
      will be throttled to the maximum rate specified by ``step_size``."/>
  <property name="zero_pad_when_not_ready" type="bool" writable="true" default="false"
    description="When enabled the component will enforce the output data rate by padding the output with zeros when there is no
      valid input data."/>
  <port name="input" producer="false" protocol="short_timed_sample-prot"/>
  <port name="output" producer="true" protocol="short_timed_sample-prot"/>
</componentspec>
